package com.fzm.common.open.entity.openobject;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wt
 * @date 2022/4/24
 */
@Data
public class BaseOO<T> {
    @NotBlank(message = "appKey不能为空")
    @ApiModelProperty(value = "appKey")
    private String appKey;
    @NotBlank(message = "业务id不能为空")
    @ApiModelProperty(value = "业务id")
    private String bizId;
    @NotBlank(message = "签名不能为空")
    @ApiModelProperty("签名")
    private String signature;
    @NotNull(message = "数据不能为空")
    @ApiModelProperty("数据")
    private T data;
}
