package com.fzm.common.open.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightOwner;
import com.fzm.common.mapper.CopyrightOwnerMapper;
import com.fzm.common.open.service.CopyrightApiOwnerService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:40
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApiOwnerServiceImpl extends ServiceImpl<CopyrightOwnerMapper, CopyrightOwner> implements CopyrightApiOwnerService {
    private final CopyrightOwnerMapper ownerMapper;

    @Override
    public List<CopyrightOwner> getByCopyrightId(Integer copyrightId) {
        return ownerMapper.getByCopyrightId(copyrightId);
    }
}
