package com.fzm.common.utils;

import cn.hutool.crypto.symmetric.SymmetricAlgorithm;
import cn.hutool.crypto.symmetric.SymmetricCrypto;

/**
 * @author tangtuo
 * @date 2021/6/23 18:16
 */
public class PasswordUtil {


    private static final byte[] KEY = {-117, 98, -11, 43, 72, 24, -10, 125, -87, -10, -77, -35, -127, 40, 34, 119};

    static SymmetricCrypto aes = new SymmetricCrypto(SymmetricAlgorithm.AES, KEY);


    public static String encrypt(String content) {
        return aes.encryptBase64(content);
    }

    public static boolean match(String encrypt, String content) {
        return aes.decryptStr(encrypt).equals(content);
    }

    public static void main(String[] args) {

        String password = "12rehkkkfbhksskkhbssrktbsr3456gbibvbybkfnriowernolwgrojgbrqg";
        String encrypt = encrypt(password);
        System.out.println(encrypt);
        System.out.println(match(encrypt, password));
    }
}
