package com.fzm.common.mq;

import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author wt
 * @date 2022/3/7
 */
@Configuration
public class NotifyConfig {
    public static final String NOTIFY_QUEUE = "notify.queue";

    @Bean
    public Queue notifyQueue() {
        return new Queue(NOTIFY_QUEUE);
    }

}
