package com.fzm.common.open.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.open.entity.dataobject.CopyrightApiDO;
import com.fzm.common.open.entity.dataobject.OpenKeyDO;
import com.fzm.common.open.entity.openobject.BaseOO;
import com.fzm.common.open.entity.openobject.CopyrightOO;
import com.fzm.common.open.entity.queryobject.CopyrightApiQO;
import com.fzm.common.open.entity.viewobject.CopyrightApiVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:40
 */
public interface CopyrightApiService extends IService<CopyrightApiDO> {


    Integer apply(BaseOO<CopyrightOO> baseOO, OpenKeyDO openKeyDO);


    CopyrightApiDO getByAppKeyAndBizId(String appKey, String bizId);

    PageInfo<CopyrightApiDO> pages(CopyrightApiQO copyrightApiQO);


    CopyrightApiVO getDetail(Integer id);

    void pass(Integer id);

    void reject(Integer id, String rejectReason);

    List<String> getSerialCodes();

    CopyrightApiDO getBySerialNum(String serialCode);
}
