package com.fzm.common.open.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.mapper.CopyrightApiOwnerRelationMapper;
import com.fzm.common.open.entity.dataobject.CopyrightApiOwnerRelationDO;
import com.fzm.common.open.service.CopyrightApiOwnerRelationService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/13 11:25
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApiOwnerRelationServiceImpl extends ServiceImpl<CopyrightApiOwnerRelationMapper, CopyrightApiOwnerRelationDO> implements CopyrightApiOwnerRelationService {

    @Override
    public List<CopyrightApiOwnerRelationDO> getByCopyrightId(Integer copyrightId) {
        QueryWrapper<CopyrightApiOwnerRelationDO> wrapper = new QueryWrapper<>();
        wrapper.eq("copyright_id", copyrightId);
        return this.list(wrapper);
    }
}
