package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.Payment;
import com.fzm.common.entity.vo.PaymentVo;
import com.github.pagehelper.PageInfo;

/**
 * @author tangtuo
 * @date 2022/1/20 16:40
 */
public interface PaymentService extends IService<Payment> {

    Payment getByOrderId(Long orderId);

    /**
     * 分页查询
     *
     * @param pageNum
     * @param pageSize
     * @param name
     * @param telephone
     * @param orderName
     * @param type
     * @param payScene
     * @param start
     * @param end
     * @return
     */
    PageInfo<PaymentVo> pages(Integer pageNum, Integer pageSize, String name, String telephone, String orderName, String type, Integer payScene, String start, String end);
}
