package com.fzm.common.utils;

import cn.hutool.crypto.SecureUtil;

import java.util.Map;
import java.util.TreeMap;

/**
 * @author tangtuo
 * @date 2021/12/23 11:40
 */
public class CopyrightSignUtil {

    public static String generateSign(TreeMap<String, String> param) {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : param.entrySet()) {
            String key = entry.getKey();
            if ("sign".equals(key)) continue;
            String value = entry.getValue();
            sb.append(key).append("=").append(value).append("&");
        }
        String signStr = sb.deleteCharAt(sb.length() - 1).toString();
        return SecureUtil.md5(signStr);
    }
}
